#include <string.h>

#include "yaftpd.h"
#include "client.h"
#include "log.h"

int
ftp_pwd(name, client)
char * name;
CLIENT * client;
{
  LOG(L_FUNC, ("ftp_pwd() call:"));
  LOG(L_COMM, ("  PWD"));

  if (client->auth <= 0)
  {
    LOG(L_DENY, (" not login, denied"));
    reply(client, "%d Not logged in", 530);
    return -1;
  }

  return reply(client,
               "%d %s is current directory", 257,
               (client->cwd == (char *)0) ? "" : client->cwd);
}
