#ifndef _LOG_H
#define _LOG_H
/* log.h - selective debug prints */

/* number of the log level for ease of use ?? */
#define L_DOWN 2  /* Download */
#define L_UPLO 4  /* Uploadding */
#define L_DENY 6  /* Refuse access */
#define L_COMM 8  /* Commands */
#define L_LERR 10  /* Local error out of mem not file etc .. */
#define L_PATH 12 /* Path filter */
#define L_SELE 14 /* Select() setttings */
#define L_FUNC 16 /* Function calls */
#define L_VERB 18 /* Exterme verbosity */

extern int loglevel;
#define LOG(level, p) \
  (level <= loglevel) && log p

#ifndef __P
#  ifdef __STDC__
#    define __P(p) p
#  else
#    define __P(p) ()
#  endif
#endif

extern int log __P((char *, ...));
extern int initlog __P((char *));

#endif _LOG_H
