#include <signal.h>
#include <stdio.h>
#include "log.h"

static void
good_bye(signo)
int signo;
{
  LOG(L_LERR, ("receive signo %d\n", signo));
  exit(-1);
}

void
signal_handler()
{
  struct sigaction sa;
    
  sa.sa_flags = 0;

  sigemptyset(&sa.sa_mask);
  sigaddset(&sa.sa_mask, SIGSEGV);
  sigaddset(&sa.sa_mask, SIGBUS);
  sigaddset(&sa.sa_mask, SIGTERM);
  sigaddset(&sa.sa_mask, SIGHUP);
  sigaddset(&sa.sa_mask, SIGINT);
  sigaddset(&sa.sa_mask, SIGPIPE);
  sigaddset(&sa.sa_mask, SIGCHLD);

  sa.sa_handler = good_bye;    
  sigaction(SIGSEGV, &sa, NULL);
  sigaction(SIGBUS, &sa, NULL);
  sigaction(SIGINT, &sa, NULL);
    
  sa.sa_handler = SIG_IGN;
  sigaction(SIGTERM, &sa, NULL);
  sigaction(SIGHUP, &sa, NULL);
  sigaction(SIGPIPE, &sa, NULL);
  sigaction(SIGCHLD, &sa, NULL);

}
