#include <stdlib.h>

#include "yaftpd.h"
#include "client.h"
#include "server.h"
#include "log.h"

int
client_del(client)
CLIENT * client;
{
  LOG(L_FUNC, ("client_del() call:"));
/* close descriptors */

  if (client == (CLIENT *)NULL)
    return 0;

  client->sock_con >= 0 && close(client->sock_con);
  client->sock_dat >= 0 && close(client->sock_dat);
  if (client->file.cursor != (caddr_t)-1)
     MUNMAP(client);

/* remove from list */
  if (client->prev != (CLIENT *)NULL)
    client->prev->next = client->next;
  if (client->next != (CLIENT *)NULL)
    client->next->prev = client->prev;

/* release memory */
  if (client->user != (char *)NULL)
    free(client->user);
  if (client->passwd != (char *)NULL)
    free(client->passwd);
  if (client->cwd != (char *)NULL)
    free(client->cwd);
  if (client->root != (char *)NULL)
    free(client->root);
  if (client->reply.msg != (char *)NULL)
    free(client->reply.msg);
  if (client->file.name != (char *)NULL)
    free(client->file.name);

  free(client);
  return 1;
}
