/* taking from the exemple of fileman with GNU Readline lib */

#ifndef _CMD_H
#define _CMD_H_

#include <stdio.h>
#include <string.h>
#include <ctype.h>

/* A structure which contains information on the commands can understand. */
typedef struct {
  char *name;			/* User printable name of the function. */
  int (*dispatch)();		/* Function to call to do the job. */
  char *doc;			/* Documentation for this function.  */
} COMMAND;

/* command name map to function */
extern char *stripwhite();
extern COMMAND *find_command ();

#define STRCMP(a, b) *a == *b && strcmp(a, b)

#endif  /* _CMD_H */
