#include "yaftpd.h"
#include "client.h"
#include "log.h"

int
ftp_type(arg, client)
char * arg;
CLIENT * client;
{
  LOG(L_FUNC, ("ftp_type() call:"));

  LOG(L_COMM, ("  TYPE %s", (arg == (char *)0) ? "(null)" : arg));

  if (client->auth <= 0)
  {
    LOG(L_DENY, (" not login, denied"));
    reply(client, "%d Not logged in", 530);
    return -1;
  }

  if (arg == (char *)0)
    return reply(client, "%d Type set to I.", 200);

  switch(*arg)
  {
    case 'i':
    case 'I':
      return reply(client, "%d Type set to I.", 200);
  }
  return reply(client,
                "%d Command not implemented for that parameter", 504);
} 
