#include <stdio.h>
#include "parsecmd.h"

#ifndef toupper
#  define toupper(c)   ((c) >= 'a' && (c) <= 'z' ? (c) + 'A' - 'a' : (c))
#endif /* TOUPPER */

int parsecmd (line, client)
char * line;
CLIENT * client;
{
  char * arg;
  COMMAND * command;

  if (line == (char *)0 || *line == '\0' || strlen(line) < 3)
    return reply(client, "%d Bad sequence of command", 503);

  for(arg = line; *arg != '\0' && ! isspace(*arg); arg++)
    *arg = toupper(*arg);

  if (*arg == '\0')
    arg = (char *)0;
  else
    *arg++ = 0;

  command = find_command(line, commands);
  if (command == (COMMAND *)0)
    return reply(client, "%d No such command.", 502);
 
  arg = stripwhite(arg); 
  return command->dispatch(arg, client); /* Call the function. */
}
